CC = gcc
CFLAGS = -Wall -Wextra -Werror

# Règle par défaut
all: program

# Compilation de l'exécutable
program: main.o module.o
	$(CC) $(CFLAGS) -o program main.o module.o

# Compilation des fichiers .c en .o
main.o: main.c module.h
	$(CC) $(CFLAGS) -c main.c -o main.o

module.o: module.c module.h
	$(CC) $(CFLAGS) -c module.c -o module.o

# Nettoyage des fichiers objets et de l'exécutable
clean:
	rm -f main.o module.o program

# Nettoyage complet
mrproper: clean

# Force la recompilation
rebuild: clean all
